# @atlassian/in-memory-metrics

Provides an implementation of `Metrics` from `@atlassian/metrics-interface` that stores all the data in memory.

Useful in serverless environments like Forge, and for testing.

## Usage

```typescript
import { InMemoryMetrics } from '@atlassian/in-memory-metrics';

const metrics = new InMemoryMetrics();
metrics.counter('one').incr();
// ...

const counters = metrics.getCounters();
// analyse or submit data elsewhere
```
